Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface ExternalDependency

    org.gradle.tooling.model.ExternalDependency
      org.gradle.api.artifacts.Dependency

All Superinterfaces:
  Dependency

    public interface ExternalDependency
    extends Dependency

Represents an external artifact dependency.

Field Summary

Fields inherited from interface Dependency
ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION

Method Summary
`File` | `getFile()` Returns the file for this dependency.
`GradleModuleVersion` | `getGradleModelVersion()` Returns the Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
`File` | `getJavadoc()` Returns the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.
`File` | `getSource()` Returns the source directory or archive for this dependency, or `null` if no source is available.

Methods inherited from interface Dependency
contentEquals, copy, getGroup, getName, getVersion

Method Detail

### getFile

    public File getFile()

  Returns the file for this dependency.
  Returns:
    The file for this dependency.

### getGradleModelVersion

    @Nullable
    @Experimental
    public GradleModuleVersion getGradleModelVersion()

  Returns the Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
  Returns:
    The Gradle module information for this dependency, or `null` if the dependency does not originate from a remote repository.
  Since:
    1.1-rc-1

### getJavadoc

    @Nullable
    public File getJavadoc()

  Returns the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.
  Returns:
    the Javadoc directory or archive for this dependency, or `null` if no Javadoc is available.

### getSource

    @Nullable
    public File getSource()

  Returns the source directory or archive for this dependency, or `null` if no source is available.
  Returns:
    The source directory or archive for this dependency, or `null` if no source is available.

Gradle API 1.1-rc-1